<?php
namespace Teknisa\CADEST\Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request\Filter;

class SubgrupprodSubgrprodfilFilial extends \Teknisa\CADEST\Controllers\TeknisaCrud {
    
    protected $parameterBagColumns = ["CDGRUPPROD", "CDFILISUBGR"];
    protected $dataSourceName = 'subgrupprod_subgrprodfil_filial';
    protected $dataSourcePerfilAcess = 'filial_filioper_perfilacess';
    protected $crudService;
	protected $dataSourceManager;
	protected $environment;
    protected $entityManager;

    public function __construct($crudService, ParameterBag $parameterBag, $dataSourceManager, $environment, $entityManager) {
		$this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->dataSourceManager = $dataSourceManager;
        $this->environment = $environment;
        $this->entityManager = $entityManager;
	}
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
    }

}